### Method

# Clutter Actor get_preferred_size

#### Declaration [src]

    void
    clutter_actor_get_preferred_size (
      ClutterActor* self,
      gfloat* min_width_p,
      gfloat* min_height_p,
      gfloat* natural_width_p,
      gfloat* natural_height_p
    )

#### Description [src]

Computes the preferred minimum and natural size of an actor, taking into account the actor’s geometry management (either height-for-width or width-for-height).

The width and height used to compute the preferred height and preferred width are the actor’s natural ones.

If you need to control the height for the preferred width, or the width for the preferred height, you should `clutter_actor_get_preferred_width()` and `clutter_actor_get_preferred_height()`, and check the actor’s preferred geometry management using the `ClutterActor:request-mode` property.

#### Parameters

`min_width_p`

  Type: `gfloat*`

  Return location for the minimum width, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`min_height_p`

  Type: `gfloat*`

  Return location for the minimum height, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_width_p`

  Type: `gfloat*`

  Return location for the natural width, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_height_p`

  Type: `gfloat*`

  Return location for the natural height, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.